Skip to content

The referral programs and the lists a new one can use

GET
/api/v1/workspaces/{workspace}/grow/referrals
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/grow/referrals \
--header 'Authorization: Bearer <token>'

Permission: grow:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
helpers
required
object
connect
required
Array<string>
earn
required
Array<string>
edit
required
Array<string>
export
required
Array<string>
review
required
Array<string>
items
required
Array<object>
object
id
required
string
listId
required
string
listName
required
string
setupStep
required

The set-up guide’s step (1 to 5) until the program is first turned on; 0 afterwards

integer format: int64
startedAt
string format: date-time
status
required
string
Allowed values: off on
subscribers
required
integer format: int64
lists
required
Array<object>
object
description
required
string
id
required
string
name
required
string
subscribers
required
integer format: int64
taken
required
boolean

Example

{
"items": [
{
"status": "off"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}